#!/bin/bash

#
# on Ubuntu 18.04.4
#

sudo apt update && \

#
# Install opencv
#

sudo apt install libopencv-dev=3.2.0+dfsg-4ubuntu0.1 -y && \

#
# Install realsense latest with depedencies
#

echo 'deb http://realsense-hw-public.s3.amazonaws.com/Debian/apt-repo xenial main' | sudo tee /etc/apt/sources.list.d/realsense-public.list && \
sudo apt-key adv --keyserver keys.gnupg.net --recv-key 6F3EFCDE && \
sudo apt-get update && \
sudo apt-get install librealsense2-dkms -y && \
sudo apt-get install librealsense2-utils -y && \
sudo apt-get install librealsense2-dev -y && \
sudo apt-get install librealsense2-dbg -y && \

#
# Install lib yaml-cpp
# https://github.com/jbeder/yaml-cpp/commit/9fb51534877d16597cfd94c18890d87af0879d65
#

git clone https://github.com/jbeder/yaml-cpp.git && \
cd yaml-cpp && \
git checkout 9fb51534877d16597cfd94c18890d87af0879d65 && \
mkdir build && \
cd build && \
sudo apt install cmake && \
cmake .. && \
make && \
sudo make install && \
cd ../../ && \
rm -rf yaml-cpp && \


#
# Install Qt
#

sudo apt install qt5-default -y
# sudo apt install qttools5-dev -y

# Qt Creator IDE for Qt
# sudo apt install qtcreator -y


